%bcond_without check

%global goipath         github.com/muesli/reflow
Version:                0.3.0

%gometa

%global common_description %{expand:
Reflow lets you word-wrap strings or entire blocks of text. It follows the
io.Writer interface and supports ANSI escape sequences.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Word-wrap strings or entire blocks of text 

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/mattn/go-runewidth)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.3.0-2
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
